<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.scwang.smartrefresh.layout.SmartRefreshLayout
        android:id="@+id/featured_refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/colorPrimary"
        app:srlAccentColor="@color/colorAccent"
        app:srlPrimaryColor="@color/colorPrimary">

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fillViewport="true">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/iv_banner"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:scaleType="fitCenter"
                    android:src="@drawable/land_banner"
                    android:visibility="visible"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.zhpan.bannerview.BannerViewPager
                    android:id="@+id/banner_view"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_230"
                    android:layout_margin="10dp"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/iv_banner" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/constraintLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toBottomOf="@+id/banner_view">

                    <LinearLayout
                        android:id="@+id/rv_class"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_60"
                        android:orientation="horizontal"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_0"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/iv_0"
                                android:layout_width="@dimen/dp_40"
                                android:layout_height="@dimen/dp_40"
                                android:layout_marginTop="@dimen/dp_4"
                                android:adjustViewBounds="true"
                                android:scaleType="centerInside"
                                android:src="@drawable/icon_0"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_0"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:maxLines="1"
                                android:text="@string/class_shopping"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_8"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@+id/iv_0" />
                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_1"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/iv_1"
                                android:layout_width="@dimen/dp_40"
                                android:layout_height="@dimen/dp_40"
                                android:layout_marginTop="@dimen/dp_4"
                                android:adjustViewBounds="true"
                                android:scaleType="centerInside"
                                android:src="@drawable/icon_1"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:maxLines="1"
                                android:text="@string/class_popular"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_8"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@+id/iv_1" />
                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_2"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/iv_2"
                                android:layout_width="@dimen/dp_40"
                                android:layout_height="@dimen/dp_40"
                                android:layout_marginTop="@dimen/dp_4"
                                android:adjustViewBounds="true"
                                android:scaleType="centerInside"
                                android:src="@drawable/icon_2"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_2"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:maxLines="1"
                                android:text="@string/class_health"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_8"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@+id/iv_2" />
                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_3"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/iv_3"
                                android:layout_width="@dimen/dp_40"
                                android:layout_height="@dimen/dp_40"
                                android:layout_marginTop="@dimen/dp_4"
                                android:adjustViewBounds="true"
                                android:scaleType="centerInside"
                                android:src="@drawable/icon_3"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_3"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:maxLines="1"
                                android:text="@string/class_video"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_8"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@+id/iv_3" />
                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_4"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/iv_4"
                                android:layout_width="@dimen/dp_40"
                                android:layout_height="@dimen/dp_40"
                                android:layout_marginTop="@dimen/dp_4"
                                android:adjustViewBounds="true"
                                android:scaleType="centerInside"
                                android:src="@drawable/icon_4"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_4"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:maxLines="1"
                                android:text="@string/class_entertainment"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_8"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@+id/iv_4" />
                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/cl_5"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/iv_5"
                                android:layout_width="@dimen/dp_40"
                                android:layout_height="@dimen/dp_40"
                                android:layout_marginTop="@dimen/dp_4"
                                android:adjustViewBounds="true"
                                android:scaleType="centerInside"
                                android:src="@drawable/icon_5"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_5"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:maxLines="1"
                                android:text="@string/class_manage"
                                android:textColor="@color/black"
                                android:textSize="@dimen/sp_8"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toBottomOf="@+id/iv_5" />
                        </androidx.constraintlayout.widget.ConstraintLayout>
                    </LinearLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_exclusive"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:background="@drawable/card_background"
                        android:minHeight="@dimen/dp_100"
                        android:visibility="gone"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/rv_class">

                        <TextView
                            android:id="@+id/tv_exclusive"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_16"
                            android:layout_marginTop="@dimen/dp_8"
                            android:text="@string/exclusive_app"
                            android:textColor="@color/black"
                            android:textSize="@dimen/sp_11"
                            android:textStyle="bold"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_exclusive_app"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_16"
                            android:text="@string/more_app"
                            android:textColor="@color/more_color"
                            android:textSize="@dimen/sp_9"
                            android:textStyle="bold"
                            android:visibility="gone"
                            app:layout_constraintBottom_toBottomOf="@+id/tv_exclusive"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="@+id/tv_exclusive" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_exclusive"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_margin="@dimen/dp_16"
                            android:nestedScrollingEnabled="false"
                            android:overScrollMode="never"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/tv_exclusive" />

                        <ImageView
                            android:id="@+id/iv_exclusive_nodata"
                            android:layout_width="@dimen/dp_64"
                            android:layout_height="@dimen/dp_64"
                            android:layout_centerInParent="true"
                            android:adjustViewBounds="true"
                            android:scaleType="centerInside"
                            android:src="@drawable/app_nodata"
                            android:visibility="visible"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_popular"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:background="@drawable/card_background"
                        android:minHeight="@dimen/dp_100"
                        android:visibility="gone"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/cl_exclusive">

                        <TextView
                            android:id="@+id/tv_popular"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_16"
                            android:layout_marginTop="@dimen/dp_8"
                            android:text="@string/popular_recommendation"
                            android:textColor="@color/black"
                            android:textSize="@dimen/sp_11"
                            android:textStyle="bold"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_popular_app"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_16"
                            android:text="@string/more_app"
                            android:textColor="@color/more_color"
                            android:textSize="@dimen/sp_9"
                            android:textStyle="bold"
                            android:visibility="gone"
                            app:layout_constraintBottom_toBottomOf="@+id/tv_popular"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="@+id/tv_popular" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_popular"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_margin="@dimen/dp_16"
                            android:nestedScrollingEnabled="false"
                            android:overScrollMode="never"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/tv_popular" />

                        <ImageView
                            android:id="@+id/iv_popular_nodata"
                            android:layout_width="@dimen/dp_64"
                            android:layout_height="@dimen/dp_64"
                            android:layout_centerInParent="true"
                            android:adjustViewBounds="true"
                            android:scaleType="centerInside"
                            android:src="@drawable/app_nodata"
                            android:visibility="visible"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                </androidx.constraintlayout.widget.ConstraintLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>
    </com.scwang.smartrefresh.layout.SmartRefreshLayout>
</LinearLayout>